Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Printing and Scanning with Canon Pixma/Pixus Series
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, ... 16, 17, 18  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Wed Apr 05, 2006 1:36 pm    Post subject: Reply with quote

@Eugene33:

I discovered another major bug, that did affect you. :oops:

I did't "inherit flag-o-matic multilibs" before. This way every attempt to compile it in 32bit-mode on AMD64 was supposed to fail. (Of course that's fixed now). :wink:


@Tlaloc:

I'm glad it worked for you (almost) at first glance. :D

Regarding the dependencies (which are still a big construction site):

You mentioned gtk+-1.2 to be the correct dependency, but isn't gtk+ backwards compatible?
If I enter "emerge -pv =gtk+-1.2" it wants to downgrade gtk to this version! Am I missing something?

I'd be very thankful if you could help me on some dependencies. :roll:
Back to top
View user's profile Send private message
Eugene33
Apprentice
Apprentice


Joined: 14 Nov 2004
Posts: 167
Location: Lyon

PostPosted: Wed Apr 05, 2006 2:21 pm    Post subject: Reply with quote

:lol: hey nice progress, I don't crash anymore on the library. I still crash, but I don't really know if this come from the ebuild or from my system, as, like some other folks i'm experimenting a big mess with the "expat" upgrade.
Quote:
mkdir .libs
gcc -O2 -Wall -I../include/cncl -I../include/misc -I../../libs/paramlist -I../../libs/bjexec -march=k8 -pipe -O2 -o bjcups bjcups.o getipc.o bjutil.o -L/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/libs/paramlist /usr/lib64/libpopt.so /var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/libs/paramlist/.libs/libparamlist.a -lcups
/usr/lib64/libpopt.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[2]: *** [bjcups] Error 1
make[2]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/bjcups/bjcups'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/bjcups'
make: *** [all] Error 2

!!! ERROR: net-print/bjfilter-2.50 failed.
Call stack:
ebuild.sh, line 1526: Called dyn_compile
ebuild.sh, line 923: Called src_compile
bjfilter-2.50.ebuild, line 124: Called die

!!! Couldn't make bjcups
!!! If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
Tlaloc
Guru
Guru


Joined: 21 Feb 2005
Posts: 451
Location: Europe - Alps - Tyrol

PostPosted: Wed Apr 05, 2006 3:47 pm    Post subject: Reply with quote

I think the two major gtk+ versions 1.* and 2.* are not compatible among each others, but releases of the same version are. (don't know if I used the right terms). When going to emerge gtk+-1.* I remembered that xmms needs it and did an "emerge -pv xmms to see which version is the latest stable at the moment. Then I simply used this emerge command:
Code:
emerge -pv =gtk+-1.2.10-r11
No downgrade should occur as the major versions are slotted.
If you look at the xmms ebuild you can see how the dependency is stated there:
Code:

DEPEND="=x11-libs/gtk+-1.2*"

Probably in the future when the more serious problems are solved you could change the ebuild and add one more use flags to install the monitor program only on request.

Bye, Val.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Wed Apr 05, 2006 4:25 pm    Post subject: Reply with quote

Thanks for your info.

The "monitor" use-flag is already part of my roadmap :)
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Wed Apr 05, 2006 9:58 pm    Post subject: Reply with quote

updated dependencies (they've been a quick hack before)
install complete driver set if no model was chosen by useflag
install some tools only if the new use-flag "bjtools" is set


There is still a problem with AMD64. I don't know how to get 32bit versions of:

dev-libs/popt (essential)
gnome-base/libglade (less important)
dev-libs/libxml (less important)

They are not in any emul-linux-x86 - package!

I am open for any suggestion!
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Fri Apr 07, 2006 8:08 pm    Post subject: Reply with quote

Works for me on pentium-m, GCC 4.1.0, ~x86 arch, gentoo-sources. Finaly!
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Sat Apr 08, 2006 11:42 pm    Post subject: [edit] Reply with quote

Printer is: Pixma 3100
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Apr 09, 2006 6:01 am    Post subject: Reply with quote

@zxy: great! 8)

@Eugene33:

I've got an idea how to get it work with AMD64 - but I don't like it.

I could copy'n'paste the dev-libs/popt ebuild into my bjfilter ebuild and change it a little, too create popt in 32bit before making bjfilter. But that wouldn't be much more but a workaround. There has to be a better solution.
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Sun Apr 09, 2006 8:27 am    Post subject: Reply with quote

Still have to do it on my amd64. Maybe today if I have time. Will pos results.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Apr 09, 2006 1:09 pm    Post subject: Reply with quote

It won't work out of the box on AMD64.

But I now decided to create a custom "emul-linux-x86-miscbj" package to make it work. It's the best solution I can think of currently.

It will contain:
dev-libs/popt (and dependencies)

It might contain:
gnome-base/libglade
dev-libs/libxml
(and dependencies)

I hope those libraries have few dependencies. Otherwise the problem would grow. :roll:
Back to top
View user's profile Send private message
Eugene33
Apprentice
Apprentice


Joined: 14 Nov 2004
Posts: 167
Location: Lyon

PostPosted: Sun Apr 09, 2006 1:24 pm    Post subject: Reply with quote

Thanks ColinK.
To be honest I don't care too much if this ebuild is a little "out of the box" It seems to me that you know your business, so you have all my trust :wink:
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Apr 09, 2006 3:49 pm    Post subject: Reply with quote

Take a look at:

net-print/bjfilter
app-emulation/emul-linux-x86-bjdeps

The emul-linux-x86-bjdeps package currently provides a 32bit version of dev-libs/popt-1.7. This should make the bjfilter ebuild compile without bjtools on AMD64.

The bjtools component of the bjfilter ebuild needs additional libraries. I might someday add those to emul-linux-x86-bjdeps.

I am awaiting your reports - although I quite don't believe the first release to work flawless. :roll:
Back to top
View user's profile Send private message
Eugene33
Apprentice
Apprentice


Joined: 14 Nov 2004
Posts: 167
Location: Lyon

PostPosted: Sun Apr 09, 2006 6:27 pm    Post subject: Reply with quote

Hey some progress ;) so here my repport, I hope you will understand it :oops:
Quote:
gcc -O2 -Wall -I../../libs/buftool -march=k8 -pipe -O2 -o pstocanonbj pstocanonbj.o canonopt.o paramlist.o -L/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/libs/buftool ../../libs/buftool/libbuftool.a /usr/lib64/libpopt.so -lcups
/usr/lib64/libpopt.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[2]: *** [pstocanonbj] Error 1
make[2]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pstocanonbj/filter'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pstocanonbj'
make: *** [all] Error 2

!!! ERROR: net-print/bjfilter-2.50 failed.
Call stack:
ebuild.sh, line 1532: Called dyn_compile
ebuild.sh, line 929: Called src_compile
bjfilter-2.50.ebuild, line 151: Called die

!!! Couldn't make pstocanonbj
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Tue Apr 11, 2006 3:59 pm    Post subject: Reply with quote

After a minor change Eugene33 reported the driver to work on AMD64 now.

Please feel free to tune the *.ppd files and report your changes. I'll adopt every improvement.

Furthermore please report compatible and incompatible printers!
Back to top
View user's profile Send private message
Eugene33
Apprentice
Apprentice


Joined: 14 Nov 2004
Posts: 167
Location: Lyon

PostPosted: Tue Apr 11, 2006 4:06 pm    Post subject: Reply with quote

So it works perfectly with the PIXMA 560x (i560) I'll try in the next days to see if i can get the 1200pixel working
Again Many thanks for this ebuild
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 497
Location: uk

PostPosted: Wed Apr 12, 2006 10:37 am    Post subject: Reply with quote

Emerged the bjfilter Ok(untested yet), but when trying to emerge with the bjtools use flag I get the following error

Code:
Now type `make' to compile.
make  all-recursive
make[1]: Entering directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pixusip4100/printui'
Making all in po
make[2]: Entering directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pixusip4100/printui/po'
file=./`echo cs | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file cs.po
file=./`echo da | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file da.po
file=./`echo de | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file de.po
file=./`echo el | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file el.po
file=./`echo es | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file es.po
file=./`echo fi | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file fi.po
file=./`echo fr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file fr.po
file=./`echo hu | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file hu.po
file=./`echo it | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file it.po
file=./`echo ja | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file ja.po
file=./`echo ko | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file ko.po
file=./`echo nl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file nl.po
file=./`echo no | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file no.po
file=./`echo pl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file pl.po
file=./`echo pt | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file pt.po
file=./`echo ru | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file ru.po
file=./`echo sv | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file sv.po
file=./`echo th | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/bin/gmsgfmt -c -o $file th.po
th.po:1083: number of format specifications in 'msgid' and 'msgstr' does not match
/usr/bin/gmsgfmt: found 1 fatal error
make[2]: *** [th.gmo] Error 1
make[2]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pixusip4100/printui/po'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/bjfilter-2.50/work/bjfilter-2.50/pixusip4100/printui'
make: *** [all] Error 2

!!! ERROR: net-print/bjfilter-2.50 failed.
!!! Function src_compile_pr, Line 271, Exitcode 2
!!! Couldn't make pixusip4100/printui
!!! If you need support, post the topmost build error, NOT this status message.


I have both slots of gtk+ installed

Code:
sempron2600 bjfilter # equery l gtk+
[ Searching for package 'gtk+' in all categories among: ]
 * installed packages
[I--] [  ] x11-libs/gtk+-1.2.10-r11 (1)
[I--] [  ] x11-libs/gtk+-2.8.13 (2)


System is x86 Sempron 2600 512mb ram

Any ideas? Let me know if you need emerge info or anything else.

Barrie[/code]
Back to top
View user's profile Send private message
bladus
Apprentice
Apprentice


Joined: 27 Jul 2005
Posts: 233

PostPosted: Wed Apr 12, 2006 11:27 am    Post subject: Reply with quote

Just installed this on my AMD64. Added the Printer in CUPS. Printed a Test-Page on my IP4000.
And it all worked without any problems!

Thank you so much ColinK!
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Wed Apr 12, 2006 3:59 pm    Post subject: Reply with quote

@baaann:

What's your locale? Is it something like th_TH?

The error seems to be related to this.

Please post your make.conf.
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 497
Location: uk

PostPosted: Wed Apr 12, 2006 10:14 pm    Post subject: Reply with quote

Locale is en_GB

Output from emerge info

Code:
Portage 2.0.54 (default-linux/x86/2005.0, gcc-3.3.6, glibc-2.3.5-r3, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 AMD Sempron(tm)   2600+
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.blueyonder.co.uk ftp://mirrors.blueyonder.co.uk/mirrors/gentoo http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/"
LANG="en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.uk.gentoo.org/gentoo-portage"
USE="x86 3dnow X acpi alsa apache2 apm arts audiofile avi berkdb bitmap-fonts bonobo bzip2 calendar cdr cgi cli crypt cups curl dba dbase dbus dbx dri dts dvb dvd dvdread eds emboss encode esd evo examples exif expat fam fbcon ffmpeg firebird flac flash foomaticdb fortran ftp gb gd gdbm gif glut gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal howl icq idn imagemagick imap imlib innodb ipv6 isdnlog jabber java javascript jpeg kde kdeenablefinal kdexdeltas kqemu lcms ldap libg++ libgda libwww lm_sensors mad matroska mhash mikmod mime ming mmx mng motif mozilla mp3 mpeg msn mysql ncurses nls odbc ogg oggvorbis opengl oss pam pcre pdflib pear perl php png postgres ppds pppd python qt quicktime readline ruby samba sdl slang snmp soap softmmu spell spl sqlite ssl svg svga tcltk tcpd tiff tokenizer truetype truetype-fonts type1-fonts udev unicode usb vorbis win32codecs wmf xine xml xml2 xmms xpm xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS



Barrie
Back to top
View user's profile Send private message
baaann
Guru
Guru


Joined: 23 Jan 2006
Posts: 497
Location: uk

PostPosted: Fri Apr 14, 2006 10:31 pm    Post subject: Reply with quote

Ok, finally emerged the bjtools :D . Trawled the forums, set Locales.build to no effect, updated make.profile link from 2005.0 to 2006.0, still no effect. Re-emerged autoconf and automake, still failed. Eventually, going through the manual again, I realised I hadn't set the LINGUAS variable in make.conf :roll: and that it was required by packages using gettext.

Thats a bit more I've learn't about Gentoo :wink:

Just got to connect to the printer now.......

Barrie
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Fri Apr 14, 2006 10:52 pm    Post subject: Reply with quote

Great 8)

I wonder if I could implement a check whether LINGUAS isn't set. What else requirements must be met to reproduce this? (I'd guess many people don't set LINGUAS, but you are the first reporting this problem).
Back to top
View user's profile Send private message
apalos
n00b
n00b


Joined: 08 Jul 2004
Posts: 26
Location: Berlin (Germany)

PostPosted: Thu Apr 20, 2006 10:38 am    Post subject: Reply with quote

Any experiences with Canon Pixma IP4200? I'm searching for a solution to run my printer for a while.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Thu Apr 20, 2006 12:40 pm    Post subject: Reply with quote

No, but you are welcome to test those drivers with your printer.
Back to top
View user's profile Send private message
apalos
n00b
n00b


Joined: 08 Jul 2004
Posts: 26
Location: Berlin (Germany)

PostPosted: Thu Apr 20, 2006 1:03 pm    Post subject: Reply with quote

I tried but I get this, and I can't explain it to myself:
Code:
zicke apalos # cat /etc/portage/package.keywords
net-print/bjfilter ~amd64
zicke apalos # cat /etc/portage/package.unmask
=net-print/bjfilter-2.50
zicke apalos # emerge bjfilter -p

These are the packages that would be merged, in order:

Calculating dependencies
!!! All ebuilds that could satisfy "bjfilter" have been masked.
!!! One of the following masked packages is required to complete your request:
- net-print/bjfilter-2.50 (masked by: missing keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


Don't know where's the failure

Anyhow, this is a quote from baaann in http://forums.gentoo.org/viewtopic-p-3269673.html#3269673:
Quote:
I have looked at the canon.jp site and there are some linux drivers just released for the ip4200, so I would expect the ebuild to need modifying to accomodate these

http://64.233.179.104/translate_c?hl=en&u=http://cweb.canon.jp/drv-upd/bj/other.html&prev=/search%3Fq%3Dip4200%2Blinux%2Bdriver%2Bsite:canon.jp%26hl%3Den%26lr%3D%26sa%3DG%26as_qdr%3Dall


hope this helps
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Thu Apr 20, 2006 1:51 pm    Post subject: Reply with quote

I am sorry. The ebuild actually didn't accept ~amd64 (until now). Either accept ~x86 or download the updated version, or stay tuned for cnijfilter:


As Canon released a new set of printer drivers (called cnijfilter-2.60 instead of bjfilter-2.50) I will start working on an ebuild as soon as possible (but don't expect it to early) ..

The new set of printer drivers promises support for iP4200 / iP6600D / iP7500 / MP500 and compatible devices. :wink:

edit:

.. I couldn't stop myself and wrote a new ebuild (for canon ip1600/2200/4200/6600d/6600pd/7500 mp150/170/450/500 ... and maybe more). It was not very much work, as it's very similar to the bjfilter ebuild.

You can get it here: net-print/cnijfilter (~x86 ~amd64)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, ... 16, 17, 18  Next
Page 2 of 18

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum